Update Software Updater - it looks for old OpenSUSE version after moving from 15.1 to 15.2

Hello,

I updated OpenSuSE from Leap 15.1 to 15.2, all worked like a charm, repositories were updated to 15.2 versions in the process. There’s no repository for 15.1 in my YaST->Repositories.

Even then, I get error messages from Software Update tool which is sitting in the notification part of the task bar:

Signature verification for Repository Leap_15.1 failed 

The settings of this tool has virtually no real options. How can I force it to use the new repositories? Where can one set this tool?
It’s name is so generic, that nothing meaningful can be googled about it.

How did you update?

Can you provide the output of

zypper lr -d

Please use a CODE block to post that output.

Hm, when I read the thread title, the OP uses the update applet from the user desktop. And that uses PackageKit.
Another PackageKit glitch?

In any case the list of repos is of course needed.

I’m really sorry, I meant to write it in the original post. I used an USB thumb with OpenSUSE LEap 15.2 DVD, since I had it ready, installing Leap 15.2 on my other box I’ve just overhauled.

I just found there’s a slight disagreement between zypper repos and the list which is in YaST GUI, however the Leap 15.1 we can see in zypper is disabled:

#  | Alias                                | Name                                       | Allowed  | GPG check    | Update
---+--------------------------------------+--------------------------------------------+----------+--------------+--------
 1 | 15.1                                 | nVidia                                     | Yes      | (r ) Yes     | Yes
 2 | Leap_15.1                            | VLC                                        | No       | (r ) Yes     | Yes
 3 | http-download.opensuse.org-4270ef60  | Office                                     | Yes      | (r ) Yes     | Yes
 4 | https-download.opensuse.org-127fb095 | games                                      | Yes      | (r ) Yes     | Yes
 5 | openSUSE-Leap-15.2-1                 | openSUSE-Leap-15.2-1                       | No       | ----         | ----
 6 | openSUSE_Leap_15.1                   | Pacman                                     | No       | (r ) Yes     | No
 7 | repo-debug                           | Debug Repository                           | No       | ----         | ----
 8 | repo-debug-non-oss                   | Debug Repository (Non-OSS)                 | No       | ----         | ----
 9 | repo-debug-update                    | Update Repository (Debug)                  | No       | ----         | ----
10 | repo-debug-update-non-oss            | Update Repository (Debug, Non-OSS)         | Yes      | (r ) Yes     | Yes
11 | repo-non-oss                         | Non-OSS repozitář                          | Yes      | (r ) Yes     | Yes
12 | repo-oss                             | Hlavní repozitář                           | Yes      | (r ) Yes     | Yes
13 | repo-source                          | Zdrojový repozitář                         | Yes      | (r ) Yes     | Yes
14 | repo-source-non-oss                  | Source Repository (Non-OSS)                | No       | ----         | ----
15 | repo-update                          | Hlavní aktualizační repozitář              | Yes      | (r ) Yes     | Yes
16 | repo-update-non-oss                  | Aktualizační repozitář (uzavřený software) | Yes      | (r ) Yes     | Yes
17 | skype-stable                         | skype (stable)                             | Yes      | (r ) Yes     | Yes

Important: In YaST, I can see the http paths too and nVidia and VLC and Pacman all have links to 15.2 repositories, even though I forgot to rename them (I’m not sure it was even possible during in the update instalator).

I will look at how PackageKi works, thank you for explaining.

Your Repo list is not with:

zypper lr -d

because it is missing the most important thing, the URL.

Yep, I knew it could be done, but didn’t find it in the zypper cheat sheet.

#  | Alias                                | Název                                      | povoleno | Kontrola GPG | Obnovit | Priorita | Typ    | Adresa URI                                                               | Služba
---+--------------------------------------+--------------------------------------------+----------+--------------+---------+----------+--------+--------------------------------------------------------------------------+-------
 1 | 15.1                                 | nVidia                                     | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | https://download.nvidia.com/opensuse/leap/15.2                           | 
 2 | Leap_15.1                            | VLC                                        | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | http://download.videolan.org/pub/vlc/SuSE/Leap_15.2/                     | 
 3 | http-download.opensuse.org-4270ef60  | Office                                     | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | http://download.opensuse.org/repositories/Office/openSUSE_Leap_15.2/     | 
 4 | https-download.opensuse.org-127fb095 | games                                      | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | https://download.opensuse.org/repositories/games/openSUSE_Leap_15.2/     | 
 5 | openSUSE-Leap-15.2-1                 | openSUSE-Leap-15.2-1                       | Ne       | ----         | ----    |   99     | rpm-md | hd:/?device=/dev/disk/by-id/usb-_USB_DISK_2.0_0789173E302F-0:0-part2     | 
 6 | openSUSE_Leap_15.1                   | Pacman                                     | Ano      | (r ) Ano     | Ne      |   99     | rpm-md | http://ftp.gwdg.de/pub/linux/misc/packman/suse/openSUSE_Leap_15.2/       | 
 7 | repo-debug                           | Debug Repository                           | Ne       | ----         | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/      | 
 8 | repo-debug-non-oss                   | Debug Repository (Non-OSS)                 | Ne       | ----         | ----    |   99     | rpm-md | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/  | 
 9 | repo-debug-update                    | Update Repository (Debug)                  | Ne       | ----         | ----    |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.2/oss/                 | 
10 | repo-debug-update-non-oss            | Update Repository (Debug, Non-OSS)         | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | http://download.opensuse.org/debug/update/leap/15.2/non-oss/             | 
11 | repo-non-oss                         | Non-OSS repozitář                          | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/        | 
12 | repo-oss                             | Hlavní repozitář                           | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | http://download.opensuse.org/distribution/leap/15.2/repo/oss/            | 
13 | repo-source                          | Zdrojový repozitář                         | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/     | 
14 | repo-source-non-oss                  | Source Repository (Non-OSS)                | Ne       | ----         | ----    |   99     | rpm-md | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/ | 
15 | repo-update                          | Hlavní aktualizační repozitář              | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/oss                        | 
16 | repo-update-non-oss                  | Aktualizační repozitář (uzavřený software) | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | http://download.opensuse.org/update/leap/15.2/non-oss/                   | 
17 | skype-stable                         | skype (stable)                             | Ano      | (r ) Ano     | Ano     |   99     | rpm-md | https://repo.skype.com/rpm/stable/                                       | 

Your repos look to have been updated to Leap 15.2.

Some of your repos have 15.1 as part of the repo name or alias. This isn’t actually a problem, but I think that’s what the updater is referring to in its messages. It isn’t actually looking for 15.1 packages. It is just looking in a repo with “15.1” as part of the repo name.

It seems to be that VLC repo. Perhaps that does not use gpg signatures, or perhaps you have to find the key manually and install it. The usual recommendation is to install “vlc” from the packman repo, and avoid the VLC repo.

Wow, that’s good thinking, you must be right. I’ll rename the repos anyways to 15.2 and make their names clearly distinguished. At least it will give a clear indication where’s the problem in future.

Anyhow, the problem just left on it’s own for the time being, the Software Updates tool started to work again and does it’s job fine :-).

Thank you all for helping me to resolve the issue!

Re-read post #2, where it was asked with the correct statement.

I am sorry Henk, I missed that, my mistake.